---
layout: docs
page_title: credentials - Command
description: >-
  The "credentials" command performs operations on Boundary credential resources. Credentials contain secrets that bind an identity to a set of permissions.
---

# credentials

Command: `boundary credentials`

The `credentials` command lets you create and manage Boundary credential resources in Boundary's static credential store.

<Note>

The `credentials` command does not support viewing, creating, or managing credentials that reside in the Vault credential store. 

</Note>

A credential is a data structure containing one or more secrets that bind an identity to a set of permissions or capabilities on a host for a session.

## Examples

The following example retrieves information about a credential with the ID `credup_J15mtU4qmy`:

```shell-session
$ boundary credentials read -id credup_J15mtU4qmy
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Credential information:
  Created Time:          Tue, 22 Aug 2023 15:56:07 PDT
  Credential Store ID:   csst_5GGWwRngd7
  ID:                    credup_J15mtU4qmy
  Name:                  ssh-user
  Type:                  username_password
  Updated Time:          Tue, 22 Aug 2023 15:56:07 PDT
  Version:               1

  Scope:
    ID:                  p_1zMlAwGHtH
    Name:                quick-start-project
    Parent Scope ID:     o_R0wbo0H6Zl
    Type:                project

  Authorized Actions:
    no-op
    read
    update
    delete

  Attributes:
    Password HMAC:       bXhHJHgaGz6fpolEpQPd0azcICSgmbVuSLfyhJhmqJY
    Username:            ssh-user
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
Usage: boundary credentials [sub command] [options] [args]

  # ...

Subcommands:
    create    Create a credential
    delete    Delete a credential
    list      List a credential
    read      Read a credential
    update    Update a credential
```

</CodeBlockConfig>

For more information, examples, and usage, click on the name
of the subcommand in the sidebar or one of the links below:

- [create](/boundary/docs/commands/credentials/create)
- [delete](/boundary/docs/commands/credentials/delete)
- [list](/boundary/docs/commands/credentials/list)
- [read](/boundary/docs/commands/credentials/read)
- [update](/boundary/docs/commands/credentials/update)
